package com.htfp.weather.web.pojo.caiyun;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @Author : shiyi
 * @Date : 2024/4/15 18:52
 * @Description :
 */
@Data
public class CaiYunBaseResponse {
    @JsonProperty("status")
    private String status;

    @JsonProperty("api_version")
    private String apiVersion;

    @JsonProperty("api_status")
    private String apiStatus;

    @JsonProperty("lang")
    private String lang;

    @JsonProperty("unit")
    private String unit;

    @JsonProperty("tzshift")
    private int tzshift;

    @JsonProperty("timezone")
    private String timeZone;

    @JsonProperty("server_time")
    private long serverTime;

    @JsonProperty("location")
    private List<Double> location;

}
