package com.htfp.weather.web.pojo.hefeng;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @Author : shiyi
 * @Date : 2024/1/23 18:00
 * @Description : 和风实时天气响应
 */
@EqualsAndHashCode(callSuper = true)
@Data @JsonIgnoreProperties(value = {"fxLink", "refer"}, ignoreUnknown = true)
public class HeFengWarningResponse extends HeFengBaseResponse{
    List<HeFengWarning> warning;

    @Data
    public static class HeFengWarning{
        private String id;
        private String sender;
        private String pubTime;
        private String title;
        private String startTime;
        private String endTime;
        private String status;
        private String level;
        private String severity;
        private String severityColor;
        private String type;
        private String typeName;
        private String urgency;
        private String certainty;
        private String text;
        private String related;
    }
}
