package com.htfp.weather.web.pojo.response;

import lombok.Data;

/**
 * @Author : shiyi
 * @Date : 2024/1/24 11:28
 * @Description : 当前天气状况
 */
@Data
public class NowWeatherStatus {
    String time; // 数据时间，北京时
    String weatherText; // 天气状况
    float temp; // 温度; // 温度
    float windSpeed; // 风速，m/s
    float wind360; // 风向360角度
    // String windDir; // 风向, 文字描述，如“西北风”
    // String windScale; // 风力等级
    float humidity; // 相对湿度 %
    // float pressure; // 大气压强，默认单位：百帕
    float cloud; // 云量
    float precip; //降水量
}
