package com.htfp.weather.griddata.operation;

import com.htfp.weather.griddata.common.GfsVariableIsobaricEnum;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;

/**
 * @Author : shiyi
 * @Date : 2024/2/2 16:01
 * @Description :
 */
@Slf4j @SpringBootTest
class GfsDataFetcherTest {
    String dataSetId = "UTC-20240508.00";
    @Resource
    GfsDataFetcher gfsDataFetcher;

    @Test
    void queryByTableStore() {
    }

    @Test
    void getPlane() throws Exception {
        log.info("获取平面");
        gfsDataFetcher.getPlane(dataSetId, GfsVariableIsobaricEnum.getGfsVariableName("Cloud"),0, 0, 10, 10, 10, 10);
    }

    @Test
    void getProfile() throws Exception {
        log.info("获取廓线");
        gfsDataFetcher.getProfile(dataSetId, GfsVariableIsobaricEnum.getGfsVariableName("Temp"), 9,0, 0);
    }

    // @Test
    // void getSeries() throws Exception {
    //     log.info("获取时间序列");
    //     gfsDataFetcher.getSeries(dataSetId, GfsVariableNameEnum.getGfsVariableName("Temp"), 0, 10, 10);
    // }
}